#include <iostream>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

int main() {
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);

	int n; cin >> n;

	vector<int> a(n);
	vector<int> b(n);

	for (int i = 0; i < n; i++) {
		a[i] = 2 * i + 1;
		b[i] = 2 * i + 2;
	}
	
	if (n % 2 == 0) {
		for (int i = 0; i < n / 2; i++) {
			cout << a[i] << " " << a[n - i - 1] << " ";
		}
		cout << endl;
		for (int i = 0; i < n / 2; i++) {
			cout << b[i] << " " << b[n - i - 1] << " ";
		}
		cout << endl;
	}

	else {
		for (int i = 0; i < n / 2; i++) {
			cout << a[i] << " " << a[n - i - 1] << " ";
		}
		cout << a[n / 2];
		cout << endl;
		for (int i = 0; i < n / 2; i++) {
			cout << b[i] << " " << b[n - i - 1] << " ";
		}
		cout << b[n / 2];
		cout << endl;

	}

	return 0;
}